//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcommbox.hpp"
#include "nrusb.hpp"
#include "nrusbdriver.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TnrDeviceBox *nrDeviceBox1;
        TButton *Button1;
        TnrUSB *nrUSB1;
        TnrUsbDriver *nrUsbDriver1;
        TListView *lvProperties;
        void __fastcall nrDeviceBox1Change(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void __fastcall TForm1::AddInfo(AnsiString sCapt, AnsiString sVal);
        int __fastcall WMDeviceChange(TMessage &Msg);
        BEGIN_MESSAGE_MAP
        MESSAGE_HANDLER(WM_DEVICECHANGE,TMessage,WMDeviceChange);
        END_MESSAGE_MAP(TForm);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
